EnumTypeCheckingExtension (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.transform.stc, class: EnumTypeCheckingExtension

Package org.codehaus.groovy.transform.stc

# Class EnumTypeCheckingExtension

java.lang.Object
org.codehaus.groovy.transform.stc.TypeCheckingExtension
org.codehaus.groovy.transform.stc.EnumTypeCheckingExtension

public class EnumTypeCheckingExtension extends TypeCheckingExtension
A type checking extension that will take care of handling errors which are specific to enums. In particular, it will handle the enum constants within a switch's case statements.

Since:
  3.0.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.transform.stc.TypeCheckingExtension

  `typeCheckingVisitor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumTypeCheckingExtension(StaticTypeCheckingVisitor staticTypeCheckingVisitor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleUnresolvedVariableExpression(VariableExpression vexp)`
  This method is called by the type checker when a variable expression cannot be resolved.

  ### Methods inherited from class org.codehaus.groovy.transform.stc.TypeCheckingExtension

  `addStaticTypeError, afterMethodCall, afterVisitClass, afterVisitMethod, beforeMethodCall, beforeVisitClass, beforeVisitMethod, buildListType, buildMapType, classNodeFor, classNodeFor, existsProperty, existsProperty, extractStaticReceiver, finish, getArgumentTypes, getTargetMethod, getType, handleAmbiguousMethods, handleIncompatibleAssignment, handleIncompatibleReturnType, handleMissingMethod, handleUnresolvedAttribute, handleUnresolvedProperty, isStaticMethodCallOnClass, lookupClassNodeFor, onMethodSelection, parameterizedType, setup, storeType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumTypeCheckingExtension

    public EnumTypeCheckingExtension(StaticTypeCheckingVisitor staticTypeCheckingVisitor)

- ## Method Details

  - ### handleUnresolvedVariableExpression

    public boolean handleUnresolvedVariableExpression(VariableExpression vexp)
    Description copied from class: `TypeCheckingExtension`
    This method is called by the type checker when a variable expression cannot be resolved. It gives the extension a chance to resolve it for the type checker.
    Overrides:
      `handleUnresolvedVariableExpression` in class `TypeCheckingExtension`
    Parameters:
      `vexp` - the unresolved variable extension
    Returns:
      `boolean` false if the extension doesn't handle it, true if the extension handles this variable.